## ddetect 1.03ubuntu14

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CC = gcc
CFLAGS = -Wall -O2 -g --std=c99 -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_GNU_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_GNU_SYSTEM)
LDFLAGS = -ldebconfclient

bindir=$(DESTDIR)/bin/
sbindir=$(DESTDIR)/sbin/
didir=$(DESTDIR)/lib/debian-installer.d
pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect

install: install-hw-detect install-ethdetect install-archdetect

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) -d $(sbindir)
	$(INSTALL) hotplug-misc.sh $(sbindir)/hotplug
	$(INSTALL) -d $(pbcdir)
	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
endif

install-hw-detect-full:

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

ARCHDETECT_TYPE_FILE = archdetect-$(DEB_HOST_GNU_TYPE)

ifeq ($(wildcard $(ARCHDETECT_TYPE_FILE).c),)
ARCHDETECT_TYPE_FILE = archdetect-generic
endif

archdetect: $(ARCHDETECT_TYPE_FILE).o archdetect.o 
	${CC} ${LDFLAGS} -o archdetect $^

%.o:%.c
	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
ddetect (1.03ubuntu14) warty; urgency=low

  * register-module rtc on amd64 (closes: Ubuntu #1659).

 -- Colin Watson <cjwatson@canonical.com>  Sun, 17 Oct 2004 20:13:52 +0100

ddetect (1.03ubuntu13) warty; urgency=low

  * Create /sbin! Both /sbin/hotplug and (on powerpc) /bin/discover-mac-io
    go missing otherwise.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  2 Oct 2004 18:49:19 +0100

ddetect (1.03ubuntu12) warty; urgency=low

  * Look through all of /proc/device-tree/, not just the mac-io bus. Slower
    but apparently necessary for at least the therm_* fan controllers, which
    are on uni-n here (closes: Ubuntu #1606).

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Sep 2004 20:46:05 +0100

ddetect (1.03ubuntu11) warty; urgency=low

  * Copy firmware loading code from hotplug-pcmcia.sh to hotplug-misc.sh,
    installed as /sbin/hotplug, so that firmware loading works for
    non-PCMCIA devices.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 29 Sep 2004 00:46:27 +0100

ddetect (1.03ubuntu10) warty; urgency=low

  * Use /lib/hotplug/firmware rather than /lib/firmware, to match current
    hotplug.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 29 Sep 2004 00:15:12 +0100

ddetect (1.03ubuntu9) warty; urgency=low

  * Register ide-disk in /etc/modules if IDE devices are present (closes:
    Warty #1400).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 14:35:28 +0100

ddetect (1.03ubuntu8) warty; urgency=low

  * Several improvements to discover-mac-io, backported from Debian:
    - Detect mesh SCSI controller.
    - Detect mace Ethernet controller.
    - Detect mac53c94 SCSI controller.
    - Detect therm_adt746x and therm_windtunnel fan controllers, although
      only post-reboot for now since those modules aren't in
      linux-kernel-di-powerpc-*.
    - Cope with /proc/device-tree/aliases/mac-io pointing to a symlink.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 13:53:10 +0100

ddetect (1.03ubuntu7) warty; urgency=low

  * Search for firmware in /lib/firmware as well as
    /usr/lib/hotplug/firmware.
  * Search for firmware with filenames including the kernel version number
    (closes: Warty #1316).

 -- Colin Watson <cjwatson@canonical.com>  Fri, 17 Sep 2004 20:28:37 +0100

ddetect (1.03ubuntu6) warty; urgency=low

  * Add the ability to back up from the error messages you get if ethdetect
    can't find any network interfaces.
  * Exit zero if you continue all the way through said errors. The warnings
    are scary enough, and netcfg handles the no-interfaces case reasonably
    gracefully.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 16:16:20 +0100

ddetect (1.03ubuntu5) warty; urgency=low

  * Unconditionally load the psmouse module for i386. 

 -- Daniel Stone <daniels@debian.org>  Sun, 12 Sep 2004 02:07:17 +1000

ddetect (1.03ubuntu4) warty; urgency=low

  * Add firmware loading support (somewhat temporarily hacked-up until we
    get a real hotplug-udeb).
  * Register lp module on i386 and amd64 (closes: Warty #1039).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 15:09:51 +0100

ddetect (1.03ubuntu3) warty; urgency=low

  * Register mousedev module, unconditionally.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 03:56:45 +0100

ddetect (1.03ubuntu2) warty; urgency=low

  * Register apm_emu module on powerpc systems with a via-pmu (closes: Warty
    #974).

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 03:35:28 +0100

ddetect (1.03ubuntu1) warty; urgency=low

  * Merge from Debian to get mac-io detection improvements.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 14:51:54 +0100

ddetect (1.03) unstable; urgency=low

  * Martin Michlmayr
    - Upstream changed how the SGI O2 (IP 32) is reported in /proc/cpuinfo.
      Deal with the old and the new value.
  * Joey Hess
    - Remove seen flag unsetting code, not necessary for a long time in the
      d-i environment.
  * Colin Watson
    - Make hw-detect Architecture: any so that we don't have to have
      discover-mac-io on non-powerpc architectures.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Thu,  2 Sep 2004 14:40:18 +0100

ddetect (1.02) unstable; urgency=low

  * Colin Watson
    - Don't bother trying to load psmouse in d-i; just register it for use
      after the first reboot.
    - Move mac-io hardware detection out to a separate file, only installed
      on powerpc.
    - Detect dmasound_pmac/snd-powermac (depending on kernel version) on
      PowerMacs.
  * Joshua Kwan
    - Add USB stuff to devnames.txt.
    - Don't try to load sbp2 unless we also have scsi_mod lying around.
  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by
    - Polish (pl.po) by Bartosz Fenski
    - Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Aug 2004 19:47:35 +0100

ddetect (1.01) unstable; urgency=medium

  * Joshua Kwan
    - Add more entries to devnames.txt.
    - grep for ^${module}: to prevent e1000's description matching for
      e100. (Closes: #262626, #266328)
    - 'hardware architecture', not 'hardware architect' in control.
  * Sven Luther
    - Added support for loading the psmouse modules on powerpc/chrp


=== debian/control ===
Source: ddetect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebconfclient0-dev
Standards-Version: 3.6.1.0

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: discover, rootskel (>= 0.54), archdetect
Description: Detect hardware and load kernel drivers for it
 Using discover to find the HW.

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 15
Description: Detect network hardware and load kernel drivers for it
 If you have an ethernet card in the computer I may be able to autodetect it
 and load the proper module for it, thus bringing you closer to a working
 network.

Package: hw-detect-full
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect hardware and load kernel drivers for it (full version)
 Using discover to find the HW.

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Description: Hardware architecture detector
 This module detects the different hardware architectures.

## ddetect 1.11ubuntu13

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CC = gcc
CFLAGS = -Wall -O2 -g
CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_GNU_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_GNU_SYSTEM)

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
didir=$(DESTDIR)/lib/debian-installer.d
pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
cpdir=$(DESTDIR)/usr/lib/casper/pre.d

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect archdetect-deb

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect
	rm -f archdetect-deb

install: install-hw-detect install-ethdetect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
	$(INSTALL) -d $(pbcdir)
	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
	$(INSTALL) -d $(cpdir)
	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
endif

install-hw-detect-full:

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect-deb
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect-deb $(bindir)

ARCHDETECT_TYPE_FILE = archdetect-$(DEB_HOST_GNU_TYPE)

ifeq ($(wildcard $(ARCHDETECT_TYPE_FILE).c),)
ARCHDETECT_TYPE_FILE = archdetect-generic
endif

archdetect: $(ARCHDETECT_TYPE_FILE).o archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^ -ldebconfclient

archdetect-deb: $(ARCHDETECT_TYPE_FILE).o archdetect-deb.o 
	${CC} ${LDFLAGS} -o $@ $^

archdetect.o archdetect-deb.o: %.o:%.c
	$(CC) $(CFLAGS) $(CFLAGS_ARCH) -c $<

=== debian/changelog ===
ddetect (1.11ubuntu13) hoary; urgency=low

  * Don't install pcmcia-cs if hw-detect/start_pcmcia=false (closes: Ubuntu
    #8678).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 14:14:20 +0100

ddetect (1.11ubuntu12) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:55:05 +0000

ddetect (1.11ubuntu11) hoary; urgency=low

  * Move udevstart call to the end of hw-detect, in an attempt to make
    device creation more reliable.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 11:50:12 +0000

ddetect (1.11ubuntu10) hoary; urgency=low

  * Don't exit early if there are no modules to load (as can easily happen,
    since Ubuntu's rootskel coldplugs everything it can at boot time when
    using hotplug).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  5 Mar 2005 16:17:27 +0000

ddetect (1.11ubuntu9) hoary; urgency=low

  * Run udevstart after running hotplug scripts, to make sure that it
    creates device nodes synchronously.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 19:35:55 +0000

ddetect (1.11ubuntu8) hoary; urgency=low

  * Escape commas in lspci output for devnames.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 15:45:28 +0000

ddetect (1.11ubuntu7) hoary; urgency=low

  * Add pciutils-udeb dependency to ethdetect too so that cdrom installs
    pull it in.
  * Check that lspci is available before updating devnames from sysfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 11:14:10 +0000

ddetect (1.11ubuntu6) hoary; urgency=low

  * After each hardware detection run, update /etc/network/devnames from
    /sys/class/net, using lspci to get the network device name.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 18:06:24 +0000

ddetect (1.11ubuntu5) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:02:09 +0000

ddetect (1.11ubuntu4) hoary; urgency=low

  * Test for the /etc/hotplug directory rather than hotplug.real or udevsend
    to decide whether we're using real hotplug.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 15:10:49 +0000

ddetect (1.11ubuntu3) hoary; urgency=low

  * Acknowledge the presence of udevsend, as well as hotplug.real, when
    deciding whether we are using real hotplug

 -- Matt Zimmerman <mdz@canonical.com>  Wed, 12 Jan 2005 00:26:01 -0800

ddetect (1.11ubuntu2) hoary; urgency=low

  * Drop priorities of a couple of ethdetect questions to medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:50:49 +0000

ddetect (1.11ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Sun,  5 Dec 2004 16:09:34 +0000

ddetect (1.11) unstable; urgency=low

  * Colin Watson
    - Portable shell fix in hotplug-pcmcia.
  * Joey Hess
    - Work around de4x5 / tulip problem by using tulip if de4x5 is not
      available, and blacklisting de4x5. So we can control which is used
      on a per-arch or kernel basis by including the right one on the
      initrd.
    - If above hack causes tulip to be used for the first stage, call
      register-modules to make it be used on the installed system.
      Closes: #282814
    - On hppa 2.4 this doesn't happen, since tulip is built in.
      In that case, de4x5 will still be blacklisted so the hang will be
      avoided. Closes: #283754
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Finnish (fi.po) by Tapio Lehtonen
    - Italian (it.po) by Giuseppe Sacco
    - Dutch (nl.po) by Bart Cornelis
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 2004 16:14:06 -0500

ddetect (1.10ubuntu4) hoary; urgency=low

  * Test $HOTPLUG_TYPE, not $hotplug_type.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 24 Nov 2004 17:44:59 +0000

ddetect (1.10ubuntu3) hoary; urgency=low

  * Depend on hotplug-udeb | discover rather than just discover.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 23 Nov 2004 20:23:47 +0000

ddetect (1.10ubuntu2) hoary; urgency=low

  * Add integration with hotplug:
    - Re-run hotplug rc scripts during hardware detection.
    - Hook into net events so that we can record them for netcfg.
    - Remove firmware loading support. hotplug itself should be able to
      handle this now.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 23 Nov 2004 18:08:04 +0000

ddetect (1.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).

 -- Colin Watson <cjwatson@canonical.com>  Thu, 28 Oct 2004 19:41:11 +0100

ddetect (1.10) unstable; urgency=low

  * Colin Watson
    - Run discover-mac-io before discover, since that matches the ordering
      post-reboot.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Oct 2004 19:41:06 +0100

ddetect (1.09) unstable; urgency=low

  * Joey Hess
    - Disable the archdetect-deb as I don't want to try to get it through NEW
      and I need to upload for other reasons.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:07:47 -0400

ddetect (1.08) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:27:12 -0400

ddetect (1.07) unstable; urgency=low

  * Colin Watson
    - Look through all of /proc/device-tree/, not just the mac-io bus.


=== debian/control ===
--- 
+++ 
@@ -9,21 +9,17 @@
 Package: hw-detect
 XC-Package-Type: udeb
 Architecture: any
-Depends: discover, rootskel (>= 0.54), archdetect
+Depends: hotplug-udeb | discover, rootskel (>= 0.54), archdetect, pciutils-udeb
 Description: Detect hardware and load kernel drivers for it
- Using discover to find the HW.
 
 Package: ethdetect
 XC-Package-Type: udeb
 Architecture: all
 Priority: optional
-Depends: cdebconf-udeb (>= 0.38), hw-detect
+Depends: cdebconf-udeb (>= 0.38), hw-detect, pciutils-udeb
 Provides: ethernet-card-detection
 XB-Installer-Menu-Item: 15
 Description: Detect network hardware and load kernel drivers for it
- If you have an ethernet card in the computer I may be able to autodetect it
- and load the proper module for it, thus bringing you closer to a working
- network.
 
 Package: hw-detect-full
 XC-Package-Type: udeb
@@ -33,10 +29,8 @@
 Enhances: hw-detect
 XB-Installer-Menu-Item: 35
 Description: Detect hardware and load kernel drivers for it (full version)
- Using discover to find the HW.
 
 Package: archdetect
 XC-Package-Type: udeb
 Architecture: any
 Description: Hardware architecture detector
- This module detects the different hardware architectures.

## ddetect 1.14

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,8 @@
 CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_GNU_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_GNU_SYSTEM)
 
 bindir=$(DESTDIR)/bin/
-hpdir=$(DESTDIR)/etc/hotplug.d
 didir=$(DESTDIR)/lib/debian-installer.d
 pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
-cpdir=$(DESTDIR)/usr/lib/casper/pre.d
 
 INSTALL=install
 INSTALL_DATA = ${INSTALL} -m 644
@@ -30,13 +28,8 @@
 	$(INSTALL) -d $(bindir)
 	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
 	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
-	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
-	$(INSTALL) -d $(hpdir)/net
-	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
 	$(INSTALL) -d $(pbcdir)
 	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
-	$(INSTALL) -d $(cpdir)
-	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
 endif

=== debian/changelog ===
ddetect (1.14) unstable; urgency=low

  * Kurt Roeckx
    - Also do the register-module psmouse for amd64.
  * Note that this includes some sustitution fixes in translated templates.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Hctor Fenndez Lpez
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Dmitry Beloglazov

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 17:13:59 -0500

ddetect (1.13) unstable; urgency=low

  * Bdale Garbee
    - force loading of some hppa nic and scsi modules that discover doesn't
      know about in hw-detect.sh, so modular (2.6) kernels work better

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Jan 2005 16:53:47 -0700

ddetect (1.12) unstable; urgency=low

  * Joey Hess
    - Load ide-core explicitly rather than implicitly to allow the user to
      specify parameters such as hda=stroke when the module is loaded.
    - Add ide-disk to /etc/modules on systems with ide. I'm not yet sure 
      what situation calls for this as it's normally autoloaded. Maybe
      something to do with lvm? See bug #289377.
    - Moved register-module psmouse calls to here from rootskel.
      Currently done for some powerpc subarches, ia64, and also now for i386,
      since some races have been reported on i386 with the module being loaded
      on demand as X starts.
  * Sven Luther
    - Added detection code for NuBus powermacs.
  * Updated translations: 
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2005 15:56:59 -0500

=== debian/control ===
Source: ddetect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebconfclient0-dev
Standards-Version: 3.6.1.0

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: discover, rootskel (>= 0.54), archdetect
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 15
Description: Detect network hardware and load kernel drivers for it

Package: hw-detect-full
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect hardware and load kernel drivers for it (full version)

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Description: Hardware architecture detector

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -W -Wall -Os
export CFLAGS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	grep -v '^#' devnames.txt | gzip -9c > devnames.gz
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp devnames.gz
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(foreach PACKAGE, $(shell dh_listpackages), \
	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)
	cp devnames.gz debian/ethdetect/etc/network/ 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ddetect 1.18ubuntu2

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null || dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null || dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

CC = gcc
CFLAGS = -Wall -O2 -g
CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_ARCH_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_ARCH_OS)

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
didir=$(DESTDIR)/lib/debian-installer.d
pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
cpdir=$(DESTDIR)/usr/lib/casper/pre.d

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect

install: install-hw-detect install-ethdetect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
	$(INSTALL) -d $(pbcdir)
	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
	$(INSTALL) -d $(cpdir)
	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
	$(INSTALL) discover-rs6k.sh $(bindir)/discover-rs6k
endif
else
	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
endif

install-hw-detect-full:

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

ARCHDETECT_TYPE_FILE = archdetect-$(DEB_HOST_ARCH_CPU)-$(DEB_HOST_ARCH_OS)

ifeq ($(wildcard $(ARCHDETECT_TYPE_FILE).c),)
ARCHDETECT_TYPE_FILE = archdetect-generic
endif

archdetect: $(ARCHDETECT_TYPE_FILE).o archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^

archdetect.o: %.o:%.c
	$(CC) $(CFLAGS) $(CFLAGS_ARCH) -c $<

=== debian/changelog ===
ddetect (1.18ubuntu2) breezy; urgency=low

  * Don't register ide-* modules; hotplug is responsible for loading them
    now (closes: Ubuntu #9099).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 12:59:14 +0100

ddetect (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 21:07:06 +0100

ddetect (1.18) unstable; urgency=low

  * Joey Hess
    - archdetect postinst removed
    - debian-installer/kernel/subarchitecture is no longer supported,
      just run archdetect instead.
    - remove archdetect-deb binary and source as it and archdetect are now
      identical
  * Colin Watson
    - Use DEB_HOST_ARCH_* variables if available so that we work correctly
      with dpkg 1.13.
    - hw-detect and ethdetect are entirely Linux-specific, so make them do
      nothing on the Hurd for now.
    - Make discover | hotplug-udeb dependency Linux-specific.
    - No longer build-depend on libdebconfclient0-dev, due to archdetect
      change.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po)
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Giuseppe Sacco
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 May 2005 01:08:39 +0100

ddetect (1.17ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 May 2005 14:35:22 +0100

ddetect (1.17) unstable; urgency=low

  * Joey Hess
    - Set hw-detect-full priority to optional to match overrides.
  * Colin Watson
    - Tolerate failure of sysfs-update-devnames in ethdetect, to cope with
      old initrds (closes: #308340).
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Portuguese (Brazil) (pt_BR.po) by Carlos Eduardo Pedroza Santiviago

 -- Colin Watson <cjwatson@debian.org>  Mon,  9 May 2005 22:15:14 +0100

ddetect (1.16) unstable; urgency=low

  * Colin Watson
    - If udev is available, call udevstart at the end of hardware detection
      to make sure that device nodes are created synchronously.
    - Don't break if no modules need to be loaded.
    - Add integration with hotplug:
      + Re-run hotplug rc scripts during hardware detection.
      + Hook into net events so that we can record them for netcfg.
      Requires lspci in udeb form, which isn't yet available (#284110).
  * Joey Hess
    - Allow module parameters to be preseeded on a per-module basis, using
      hw-detect/module_params/$module as the question name.
    - Turn seen flag setting back on after trying to ask the pcmcia start
      question, now that #257180 is fixed. Add a dependency on the version of
      cdebconf that fixed it. Closes: #280025
    - Revert change to force load sunhme, sunbmac, and esp, since a discover1
      patch exists (thought not yet applied), and the change caused nasty
      error messages during the install.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Japanese (ja.po) by Kenshi Muto

 -- Joey Hess <joeyh@debian.org>  Sat,  7 May 2005 20:16:28 -0400

ddetect (1.15) unstable; urgency=low

  * Joey Hess
    - Force register and load sunhme, sunbmac, and esp on sparc since
      apparently discover does not find these on at least an E4500.
      This is kind of a work around for #299074, and will be reverted once
      discover is fixed.
    - Detect if only one ethernet interface is found, and if it's a firewire
      interface, warn the user and allow them to manually select modules to
      load. This after noticing that 2.6 installs that fail to load the
      ethernet driver fail unexpectedly when the firewire ethernet ends up
      being used. Closes: #303445
    - Add a few missing 2.6 ethernet drivers to devnames.txt.
  * Colin Watson
    - Register apm_emu on systems with via-pmu mac-io devices.
  * Frans Pop
    - Schedule acpi packages for installation if system has acpi support.
      Works only for 2.6 kernels. Closes: #300545
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Stefano Canepa
    - Korean (ko.po) by Changwoo Ryu
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  1 May 2005 16:51:56 -0400

ddetect (1.14ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2005 19:38:00 +0100

=== debian/control ===
Source: ddetect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0)
Standards-Version: 3.6.1.0

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: ${hw-detect:discover}, rootskel (>= 0.54), archdetect, cdebconf-udeb (>= 0.75), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: cdebconf-udeb (>= 0.38), hw-detect, pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 15
Description: Detect network hardware and load kernel drivers for it

Package: hw-detect-full
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect hardware and load kernel drivers for it (full version)

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Description: Hardware architecture detector

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 CFLAGS = -W -Wall -Os
 export CFLAGS
+
+DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null || dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+discover := discover | hotplug-udeb
+else
+discover :=
+endif
 
 build: build-stamp
 build-stamp:
@@ -46,7 +53,7 @@
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a
+	dh_gencontrol -a -- -V'hw-detect:discover=$(discover)'
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
